#3587 closed task (fixed)

Deprecate rtems_context

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3588

Description (last modified by Sebastian Huber)

The rtems_context typedef as no corresponding API. A user can do nothing with it. It is only used in cpukit/libmisc/monitor/mon-monitor.c and cpukit/libmisc/monitor/mon-editor.c in RTEMS. Deprecate it in this release.

Change History (6)

comment:1 Changed on Nov 7, 2018 at 12:43:40 PM by Sebastian Huber

Blocking: 3588 added

comment:2 Changed on Nov 7, 2018 at 12:44:06 PM by Sebastian Huber

Component: adminrtems

comment:3 Changed on Nov 7, 2018 at 12:44:33 PM by Sebastian Huber

Description: modified (diff)

comment:4 Changed on Nov 7, 2018 at 12:46:12 PM by Sebastian Huber

Description: modified (diff)

comment:5 Changed on Nov 8, 2018 at 7:11:27 AM by Sebastian Huber <sebastian.huber@…>

In ef30eb1/rtems:

monitor: Remove dead code

Update #3587.
Update #3589.

comment:6 Changed on Nov 9, 2018 at 6:25:51 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 0ac4a77/rtems:

rtems: Deprecate rtems_context

The rtems_context typedef as no corresponding API. A user can do
nothing with it.

Close #3587.

Note: See TracTickets for help on using tickets.